Companies

Get Company

Get one company, including whether it has been verified and whether it is registered in the SMP to receive documents.

GET
/api/v1/companies/{companyId}

Get one company, including whether it has been verified and whether it is registered in the SMP to receive documents.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to retrieve

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/companies/string"
{  "success": true,  "company": {    "id": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "teamId": "team_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "name": "Recommand BV",    "address": "Kortrijksesteenweg 1092",    "postalCode": "9051",    "city": "Gent",    "country": "BE",    "enterpriseNumberScheme": "0208",    "enterpriseNumber": "1012081766",    "vatNumber": "BE1012081766",    "email": "billing@example.com",    "phone": "+32 9 396 20 39",    "isSmpRecipient": true,    "isVerified": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}